# Shared Language

#### Asset

A currency, token, or other tradable object. In Swivel, `asset` refers to `Underlying` currency or Tokens.

#### Underlying

The lending currency of a given `Market`, typically a `Stable Coin` or `Token`.

#### Token

An `Erc20` compatible token deployed at a given Ethereum Address. May also be referenced as *Erc20* or *uToken*.

#### nToken

Swivel's native yield-bearing token, representing the remaining yield potential of the `Underlying` for a given `Market`. For example: `nDAI`, `nUSDC`.

#### zcToken

Swivel's native principal token, representing the principal lent to a given `Market`. For example: `zcDAI`, `zcUSDC`.

#### Balance

Amount of the `Underlying` or `Token` assets a given public key owns.

#### Market

An asset-duration (underlying-duration) pairing that identifies which `Orderbook` / instrument is being used.

#### Maturity

The duration a given `Market` generates yield, up to a specified date.

#### Volume

All orders expose an amount which can be filled, wholly or partially, by an `Order`. This will be represented by either the `Principal` or `Interest`, depending on whether the order is `Amplified` (deprecated: 'floating') or `Fixed`.

#### Yield

The amount of interest an `Order` has generated, expressed in terms of a percentage.

#### Liquidity Provider

On Swivel's orderbook-based protocol, Liquidity Providers are `Market Makers`.

#### Liquidity Incentives

Swivel incentivizes liquidity by providing token rewards only to those `Liquidity Providers` who's orders are `filled`.

#### Maker

A person who provides Limit orders to the orderbook.

#### Taker

A person who executes Market Orders, filling open orderbook orders.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swivel.finance/swivel-v3.0.0/developers/ubiquitous-language-v3/shared-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
